//+------------------------------------------------------------------+
//|      SP_openline.mq4                                             |
//|                                                                  |
//|      Shane Lee                                                   |
//|      tradingmail@bigpond.com                                     |
//|                                                                  |           
//+------------------------------------------------------------------+
#property indicator_chart_window
//-------------------------------------------------------------------

   extern color  linecolor    = LightSkyBlue;
   extern int    width        = 2;
   extern int    style        = 0;
   extern bool   label        = True;
   extern int    labelsize    = 2;

//-------------------------------------------------------------------
int init()
  {

   return(0);
  }
//-------------------------------------------------------------------
int start()
  {

   double open_price  = iOpen(Symbol(),PERIOD_H1,0);
   datetime open_time = iTime(Symbol(),PERIOD_H1,0);
   ObjectDelete("openline");
   ObjectCreate("openline",OBJ_TREND,0,open_time,open_price,TimeCurrent(),open_price);
   ObjectSet("openline",OBJPROP_RAY,False);
   ObjectSet("openline",OBJPROP_COLOR,linecolor);
   ObjectSet("openline",OBJPROP_STYLE,style);
   ObjectSet("openline",OBJPROP_WIDTH,width);

   if (label)
     {ObjectDelete("openline_label"); 
      ObjectCreate("openline_label",OBJ_ARROW,0,TimeCurrent(),open_price);
      ObjectSet("openline_label",OBJPROP_ARROWCODE,SYMBOL_RIGHTPRICE);
      ObjectSet("openline_label",OBJPROP_COLOR,linecolor);
      ObjectSet("openline_label",OBJPROP_WIDTH,labelsize);
     }


   return(0);
  }
//-------------------------------------------------------------------

int deinit()
  {
   ObjectDelete("openline");
   ObjectDelete("openline_label"); 
   return(0);
  }
//-------------------------------------------------------------------

